Skip to content

POST Finish upload for new object to user account

POST /resources/objects/{objectId}/finish-upload: Finish upload for new object to user account. Required scopes: product:write

POSThttps://api.rooom.com/resources/objects/{objectId}/finish-upload
Try it out
product:write

Parameters

Path Parameters

NameTypeDescription
objectIdrequiredstringObject Id

Body

multipart/form-data
NameTypeDescriptionValues
successbooleanUpload success
messagestringSuccess or error message
featureSensitivitystringPhotoScan feature sensitivity. Only applies when uploading an image series (type=images). Optional, defaults to 'high' if omitted.normalhigh
sampleOrderingstringPhotoScan sample ordering. Only applies when uploading an image series (type=images). Optional, defaults to 'unordered' if omitted.unorderedsequential

Responses

200array
401Unauthorized
POST /resources/objects/{objectId}/finish-upload Finish upload for new object to user account Required scopes: product:write objectId Object Id success Upload success message Success or error message featureSensitivity PhotoScan feature sensitivity. Only applies when uploading an image series (type=images). Optional, defaults to 'high' if omitted. sampleOrdering PhotoScan sample ordering. Only applies when uploading an image series (type=images). Optional, defaults to 'unordered' if omitted.